// +build fasthttp

package statemdl

import (
	routing "github.com/qiangxue/fasthttp-routing"
)

// StateHandler handler function for sta
func StateHandler(c *routing.Context) error {
	clientReponseMutex.Lock()
	defer clientReponseMutex.Unlock()
	c.Response.Header.Set("Access-Control-Allow-Origin", "*")
	c.WriteData(clientResponseData)
	c.SetStatusCode(200)
	return nil
}
